Table of Contents

Class: _Unjellier | Twisted-0.19.0/twisted/spread/jelly.py
--- | ---
Methods |
--- | ---
__init__ _unjelly_None _unjelly_class _unjelly_dereference _unjelly_dictionary _unjelly_function _unjelly_instance _unjelly_list _unjelly_method | _unjelly_module _unjelly_persistent _unjelly_reference _unjelly_tuple _unjelly_unicode _unjelly_unpersistable unjelly unjellyFull unjellyInto
| __init__
    __init__ (
            self,
            taster,
            persistentLoad,
            invoker,
            )
| _unjelly_None
    _unjelly_None ( self,  exp )
| _unjelly_class
    _unjelly_class ( self,  rest )
Exceptions |
--- | ---
InsecureJelly( "module %s not allowed" % modName ) InsecureJelly("class %s unjellied to something that isn't a class: %s" %(repr( name ), repr( klaus ) ) ) InsecureJelly("class not allowed: %s" % str( klaus ) )
| _unjelly_dereference
    _unjelly_dereference ( self,  lst )
| _unjelly_dictionary
    _unjelly_dictionary ( self,  lst )
| _unjelly_function
    _unjelly_function ( self,  rest )
Exceptions |
--- | ---
InsecureJelly( "Module not allowed: %s" % modName )
| _unjelly_instance
    _unjelly_instance ( self,  rest )
Exceptions |
--- | ---
InsecureJelly( "Instance found with non-class class." )
| _unjelly_list
    _unjelly_list ( self,  lst )
| _unjelly_method
    _unjelly_method ( self,  rest )
(internal) unjelly a method
Exceptions |
--- | ---
'instance method changed' InsecureJelly( "Method found with non-class class." )
| _unjelly_module
    _unjelly_module ( self,  rest )
Exceptions |
--- | ---
InsecureJelly( "Attempted to unjelly a module with a non-string name." ) InsecureJelly("Attempted to unjelly module named %s" % repr( moduleName ) )
| _unjelly_persistent
    _unjelly_persistent ( self,  rest )
| _unjelly_reference
    _unjelly_reference ( self,  lst )
| _unjelly_tuple
    _unjelly_tuple ( self,  lst )
| _unjelly_unicode
    _unjelly_unicode ( self,  exp )
| _unjelly_unpersistable
    _unjelly_unpersistable ( self,  rest )
| unjelly
    unjelly ( self,  obj )
Exceptions |
--- | ---
InsecureJelly( "Class %s not allowed." % jelType ) InsecureJelly( "Module %s not allowed." % modName ) InsecureJelly( jelType )
| unjellyFull
    unjellyFull ( self,  obj )
| unjellyInto
    unjellyInto (
            self,
            obj,
            loc,
            jel,
            )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0